package bicicleta;

public class Bicicleta {

    // Atributos
    private double velocidade;
    private String cor;
    private int marchaAtual = 10;
    
    public Bicicleta(){
        this.cor="Branco";
        this.marchaAtual=0;
        this.velocidade=0;
    }

    // Métodos
    public void frearDianteiro(double intensidade) {
        this.velocidade = (1 - intensidade/100) * this.velocidade  ;
    }
    public void definirVelocidade(double v) {
        this.velocidade = v;
    }
    public void acelerar(double v) {
        this.velocidade += v;
    }
    public String obterCor() {
        return cor;
    }
    public void diminuirMarcha(int v) {
        if(this.marchaAtual - v > 0)
            this.marchaAtual -= v;
        else System.out.println("Não vou diminuir, pois estou na marcha 0...");
    }
    public int obterMarchaAtual(){
        return this.marchaAtual;
    }
    public double obterVelocidade() {
        return this.velocidade;
    }
    public void imprimirVelocidade(){
        //System.out.println(""+this.velocidade);
        System.out.println("Classe Bicicleta->imprimirVelocidade() "+this.velocidade);
    }
}
